//--------------------------------------------------------------
/*/{Protheus.doc} 
Description: 
O comando usado  o X31UpdTable, este comando, compara a estrutura da tabela do SX3 e do banco de dados, faz a cpia de segurana dos dados da tabela, 
apaga a tabela e ndices, recria a tabela, restaura os dados
@author Blog ADVPL - contatos@blogadvpl.com
@since 25/03/2015
/*/
//--------------------------------------------------------------
Static Function Atualiza()
	Local cAviso 
	Local nCnt:=0           
	Local cTabelas := ""
	//Atualizando uma tabela sem derrubar o sistema:
	IncProc("Atualizando a estrutura da tabela: " +cAlias)
	
	if !lAltSX3
	__SetX31Mode(.F.) //opcional - para no permitir alterar o SX3
	Endif
	
	if !lTodas
		cAviso := X31UpdTable(cAlias) //Atualiza o cAlias baseado no SX3
		
		if Empty(cAviso)
			MsgInfo("Alias atualizado com sucesso!","Aviso")
		Endif
	
		If __GetX31Error() //Verifica se ocorreu erro
			if lErro
				Aviso("Erro!!! [X31UpdTable]",__GetX31Trace(),{"Ok"},3)
			Endif
		Endif
	Else
		Do While SX2->(!EOF())
			IncProc("Lendo Tabela "+SX2->X2_CHAVE+" ...")
	 		aAdd(aSX2Alias ,SX2->X2_CHAVE)
	   		SX2->(dbSkip())
		EndDo

	    ProcRegua(Len(aSX2Alias))

    	For nCnt := 1 To Len(aSX2Alias)
            IncProc("Atualizando a estrutura da tabela: " +aSX2Alias[nCnt])
          	
            If Select(aSX2Alias[nCnt])>0
                dbSelecTArea(aSX2Alias[nCnt])
            	dbCloseArea()
            EndIf
        
            X31UpdTable(aSX2Alias[nCnt])
        
            If __GetX31Error()
            	if lErro
					Aviso("Erro!!! [X31UpdTable]",__GetX31Trace()+chr(13)+chr(10)+"Falha na atualizacao da tabela: " + aSX2Alias[nCnt] + ". ",{"Ok"},3)
               	Endif
        	EndIf
            
	        cTabelas += "Tabela Atualiza: " + aSX2Alias[nCnt] + CHR(13)+CHR(10)
        Next nX
    	
    	If Len(aSX2Alias) >0   
    		Aviso("Aviso!! [X31UpdTable]","Foram atualizados " + AllTrim(str(Len(aSX2Alias))) + " tabelas."+chr(13)+chr(10)+cTabelas,{"Ok"},3)
       	EndIf
	Endif
		
Return